<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Tipocadena{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO tipocadenas (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idtipocadena,$nombre,$descripcion){
	$sql="UPDATE tipocadenas SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idtipocadena='$idtipocadena'";
	return ejecutarConsulta($sql);
}
public function desactivar($idtipocadena){
	$sql="UPDATE tipocadenas SET condicion='0' WHERE idtipocadena='$idtipocadena'";
	return ejecutarConsulta($sql);
}
public function activar($idtipocadena){
	$sql="UPDATE tipocadenas SET condicion='1' WHERE idtipocadena='$idtipocadena'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idtipocadena){
	$sql="SELECT * FROM tipocadenas WHERE idtipocadena='$idtipocadena'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM tipocadenas";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM tipocadenas WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
